AddHandler application/x-httpd-php .html .htm
<IfModule mod_deflate.c>
      <IfModule mod_setenvif.c>
            BrowserMatch ^Mozilla/4 gzip-only-text/html
            BrowserMatch ^Mozilla/4\.0[678] no-gzip
            BrowserMatch \bMSIE !no-gzip !gzip-only-text/html
            BrowserMatch \bMSI[E] !no-gzip !gzip-only-text/html
      </IfModule>
      <IfModule mod_headers.c>
            Header append Vary User-Agent env=!dont-vary
      </IfModule>
AddOutputFilterByType DEFLATE text/css application/x-javascript text/html text/richtext image/svg+xml text/plain text/xsd text/xsl text/xml image/x-icon
</IfModule>

<ifModule mod_rewrite.c>
    RewriteEngine On
    RewriteRule ^index.html$ index.php [L]
    RewriteRule ^js/libs/(.*)\.[0-9]+\.js$ /ManagementClient/js/libs/$1.js [L]
    RewriteRule ^js/libs/jqwidgets/(.*)\.[0-9]+\.js$ /ManagementClient/js/libs/jqwidgets/$1.js [L]
    RewriteRule ^js/(.*)\.[0-9]+\.js$ /ManagementClient/js/$1.js [L]
    RewriteRule ^js/libs/jqwidgets/styles/images/(.*)\.[0-9]+\.png$ /ManagementClient/js/libs/jqwidgets/styles/images/$1.png [L]
    RewriteRule ^js/libs/jqwidgets/styles/(.*)\.[0-9]+\.css$ /ManagementClient/js/libs/jqwidgets/styles/$1.css [L]
    RewriteRule ^css/(.*)\.[0-9]+\.css$ /ManagementClient/css/$1.css [L]
    RewriteRule ^Resources/img/(.*)\.[0-9]+\.png$ /ManagementClient/Resources/img/$1.png [L]
    RewriteRule ^Resources/img/(.*)\.[0-9]+\.gif$ /ManagementClient/Resources/img/$1.gif [L]
    RewriteRule ^Resources/icons/(.*)\.[0-9]+\.png$ /ManagementClient/Resources/icons/$1.png [L]
</ifModule>

<ifModule mod_headers.c>
	# Turn on Expires and set default expires to 3 days
	ExpiresActive On
	ExpiresDefault A259200
 
	# Set up caching on media files for 1 month
	<filesMatch ".(ico|gif|jpg|jpeg|png|flv|pdf|swf|mov|mp3|wmv|ppt)$">
		ExpiresDefault A2419200
		Header append Cache-Control "public"
	</filesMatch>
 	
	# Set up 24 Hour caching on commonly updated files
	<filesMatch "^(main).(xml|txt|html|js|css)$">
		ExpiresDefault A2419200
		Header append Cache-Control "public, must-revalidate"
	</filesMatch>
 
	# Force no caching for dynamic files
	<filesMatch ".(php|cgi|pl|htm)$">
		ExpiresDefault A0
		Header set Cache-Control "no-store, no-cache, must-revalidate, max-age=0"
		Header set Pragma "no-cache"
	</filesMatch>
</ifModule>